Bug 458603 - No output on VGA-port/exernal monitor.
No output on VGA-port/exernal monitor.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-10 16:19 EDT by Andreas Tunek
Modified: 2008-09-06 08:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 08:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Tunek 2008-08-10 16:19:09 EDT
Description of problem:
When I start the laptop I get the screen output mirrored to the monitor plugged into the VGA-out port. When X starts there is not output from the VGA-port

Version-Release number of selected component (if applicable):
6.8.0-21

How reproducible:
Always

Steps to Reproduce:
1. Start laptop with external monitor plugged in.
2. Watch grub on external monitor.
3. Watch black external monitor when X starts.
  
Actual results:


Expected results:


Additional info:
GPU is is Radeon IGM 340.
Comment 1 Andreas Tunek 2008-08-14 16:35:37 EDT
Maybe this helps....

xrandr -q
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA-0 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 304mm x 230mm
   1024x768       61.3*+   60.0  
   800x600        60.3  
   640x480        59.9  
S-video disconnected (normal left inverted right x axis y axis)
Comment 2 Andreas Tunek 2008-08-30 16:01:12 EDT
with VGA cable connected: 
xrandr -q
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA-0 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 304mm x 230mm
   1024x768       61.3*+   60.0  
   800x600        60.3  
   640x480        59.9  
S-video disconnected (normal left inverted right x axis y axis)

no cable connected:
xrandr -q
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 304mm x 230mm
   1024x768       61.3*+   60.0  
   800x600        60.3  
   640x480        59.9  
S-video disconnected (normal left inverted right x axis y axis)
Comment 3 Andreas Tunek 2008-08-30 16:10:51 EDT
The above was for xorg-x11-drv-ati.i386  6.9.0-7.fc10
Comment 4 Matěj Cepl 2008-09-05 10:05:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Andreas Tunek 2008-09-06 08:03:57 EDT
It actually seemed to work now if I restart X with the cable plugged in. Guess the bug is solved then....

Note You need to log in before you can comment on or make changes to this bug.